# User Feedback

Provides functionalities for managing user feedback related to data matching decisions.

 - [POST /matchingdecisionjobs](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1matchingdecisionjobs/post.md): To start importing an Identity Linkage Decision import file, use the following request. ``` POST https://api.corporate-data-league.ch/data-matching/rest/jobs/matchingdecisionjobs ?file=@{YOUR FILE}
 - [GET /matchingdecisionjobs/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1matchingdecisionjobs~1%7Bid%7D/get.md): Polls the status of the matching decision import job.
 - [GET /userfeedbacks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks/get.md): Read available Matching Decision Logs across your organization.
 - [POST /userfeedbacks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks/post.md): Create Matching Decision Log where decisions will be stored.
 - [GET /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/get.md): Read Matching Decision Logs details provided by ID.
 - [POST /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/post.md): Add Identity Links to the Matching Decision Log identified by ID.
 - [DELETE /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/delete.md): Delete the Matching Decision Log identified by ID. !Warning! action cannot be reverted!
 - [POST /userfeedbacks/{id}/clear](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D~1clear/post.md): Remove all links from the Matching Decision Log identified by ID. !Warning! action cannot be reverted!
 - [GET /userfeedbacks/identitylinks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1identitylinks/get.md): Read Identity Links from the Matching Decision Log identified by ID.
